Subject: Re: bug#9237: [PATCH] tests: get rid of obsolete 'error_' shell function

From: Stefano Lattarini <[email-masked]>
Date: Mon, 8 Aug 2011 09:41:34 +0200

On Monday 08 August 2011, Jim Meyering wrote:
> Stefano Lattarini wrote:
> > Date: Thu, 4 Aug 2011 20:48:06 +0200
> > Subject: [PATCH] tests: complete the renaming framework_failure -> framework_failure_
> >
> > * tests/init.cfg (framework_failure): Remove, `framework_failure_'
> > from init.sh should be used instead in the tests.
> > Remove leading obsolete "FIXME" comment.
> > (is_local_dir_, require_strace_, require_membership_in_two_groups_,
> > require_sparse_support_, skip_if_mcstransd_is_running_,
> > mkfifo_or_skip_) Use `framework_failure_', not `framework_failure'.
> > * Many test scripts: Likewise.
> 
> Thanks.
> I've confirmed that the modified command below does
> the same job and requires less manual editing.
> I've modified your commit log to include the command
> and to fix typos, so include the new version below.
>
Thanks!  And BTW, allow me to apologize for the embarassing number of
typos in both the patch and my previous mail.

> Also, I have queued this additional change set:
> 
> From 601c4d9209e506b92ebfbc9d0fec0f679f5fe5d3 Mon Sep 17 00:00:00 2001
> From: Jim Meyering <[email-masked]>
> Date: Mon, 8 Aug 2011 08:54:52 +0200
> Subject: [PATCH 2/2] maint: prevent accidental future use of the old shell
>  function name
> 
> This is especially important for an error-handling shell function
> like this that is actually called only rarely.
>
> [SNIP]
>
Good addition.  Should have thought about it myself ...

Regards,
  Stefano